Applications
It is a combination of Candidate data and the Job data for which the candidate has applied.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/apply/v2/applications
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /apply/v2/applications
This API is used to fetch a list of Applications.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| offset | query | integer | false |
| limit | query | integer | false |
Response
OK
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"type": "array",
"items": {
"ApplicationWithId": {
"type": "object",
"properties": {
"candidateData": {
"CandidateWithId": {
"required": {
"0": "firstName",
"1": "lastName"
},
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": {
"0": "email"
},
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": {
"0": "addressLine1"
},
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": {
"0": "companyName",
"1": "title"
},
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": {
"0": "format",
"1": "startDate"
},
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": {
"0": "degree",
"1": "schoolName"
},
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": {
"0": "format",
"1": "startDate"
},
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
}
}
}
},
"jobApplicationData": {
"Job": {
"required": {
"0": "applicantSource",
"1": "jobId"
},
"type": "object",
"properties": {
"jobId": {
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}
}
},
"pagination": {
"Pagination": {
"type": "object",
"properties": {
"offset": {
"type": "integer",
"description": "The number of items to offset from the result set.",
"format": "int32"
},
"limit": {
"type": "integer",
"description": "The number of items to return.",
"format": "int32"
},
"total": {
"type": "integer",
"description": "The total number of items in the result set.",
"format": "int32"
}
}
}
},
"links": {
"Links": {
"type": "object",
"properties": {
"self": {
"type": "string",
"description": "The link to the current page."
},
"prev": {
"type": "string",
"description": "The link to the previous page."
},
"next": {
"type": "string",
"description": "The link to the next page."
}
}
}
}
}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetApplicationsResponse |
| 400 | 400 response | ErrorResponse |
| 500 | 500 response | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/apply/v2/applications
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'siteType: string'
-H 'locale: string'POST /apply/v2/applications
This API is used to submit a new Application for a valid job.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| siteType | header | string | false |
| locale | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"candidateData": {
"Candidate": {
"required": {
"0": "firstName",
"1": "lastName"
},
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": {
"0": "email"
},
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": {
"0": "addressLine1"
},
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": {
"0": "companyName",
"1": "title"
},
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": {
"0": "format",
"1": "startDate"
},
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": {
"0": "degree",
"1": "schoolName"
},
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": {
"0": "format",
"1": "startDate"
},
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
}
}
}
},
"jobApplicationData": {
"Job": {
"required": {
"0": "applicantSource",
"1": "jobId"
},
"type": "object",
"properties": {
"jobId": {
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"resumeData": {
"Resume": {
"required": {
"0": "fileContent",
"1": "fileName"
},
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | ApplicationWithResume |
Response
OK
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"SubmitApplicationData": {
"type": "object",
"properties": {
"alreadyApplied": {
"type": "boolean",
"description": "It equals true if the application is already applied by the candidate."
},
"candidateId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
},
"applicationId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}
}
}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | SubmitApplicationResponse |
| 400 | 400 response | ErrorResponse |
| 500 | 500 response | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/apply/v2/applications/{id}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /apply/v2/applications/{id}
This API is used to get Application data for a given Application ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | true |
Response
OK
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"ApplicationWithIdAndResume": {
"type": "object",
"properties": {
"candidateData": {
"CandidateWithId": {
"required": {
"0": "firstName",
"1": "lastName"
},
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": {
"0": "email"
},
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": {
"0": "addressLine1"
},
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": {
"0": "companyName",
"1": "title"
},
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": {
"0": "format",
"1": "startDate"
},
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": {
"0": "degree",
"1": "schoolName"
},
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": {
"0": "format",
"1": "startDate"
},
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
}
}
}
},
"jobApplicationData": {
"Job": {
"required": {
"0": "applicantSource",
"1": "jobId"
},
"type": "object",
"properties": {
"jobId": {
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
},
"resumeData": {
"Resume": {
"required": {
"0": "fileContent",
"1": "fileName"
},
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}
}
}
}
}
}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetApplicationByIdResponse |
| 400 | 400 response | ErrorResponse |
| 500 | 500 response | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/apply/v2/applications/status
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'email: string'
-H 'jobId: string'
-H 'siteType: string'
-H 'locale: string'GET /apply/v2/applications/status
This API is used to check if a candidate has already applied for a particular job.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| header | string | true | |
| jobId | header | string | true |
| siteType | header | string | false |
| locale | header | string | true |
Response
OK
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"AlreadyAppliedData": {
"type": "object",
"properties": {
"alreadyApplied": {
"type": "boolean",
"description": "It equals true if the application is already applied by the candidate."
},
"candidateId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
},
"applicationId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}
}
}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | AlreadyAppliedResponse |
| 400 | 400 response | ErrorResponse |
| 500 | 500 response | ErrorResponse |
Attachments
Resume / Files uploaded as part of an application are called Attachments.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/apply/v2/applications/{id}/attachments
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /apply/v2/applications/{id}/attachments
This API is used for downloading attachments for a given Application ID
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | true |
Response
OK
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"type": "array",
"items": {
"Resume": {
"required": {
"0": "fileContent",
"1": "fileName"
},
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}
}
}
}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetAttachmentsResponse |
| 400 | 400 response | ErrorResponse |
| 500 | 500 response | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/apply/v2/applications/{id}/attachments
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /apply/v2/applications/{id}/attachments
This API is used for uploading attachments to an Application.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | Resume |
Response
OK
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"description": "Id of an attachment."
},
"description": "Array of attachment objects."
}
}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | UploadAttachmentResponse |
| 400 | 400 response | ErrorResponse |
| 500 | 500 response | ErrorResponse |
Schemas
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response. It will contain HTTP status code in case of failures."
},
"title": {
"type": "string",
"description": "Error message of the response. It gives a short brief on the error."
},
"type": {
"type": "string",
"description": "Type of the error. It gives a brief on the type of error."
},
"error": {
"type": "string",
"description": "This describes Error/Status Code in case of errors."
},
"details": {
"type": "string",
"description": "Error message of the response. This describes the details of the error."
},
"instance": {
"type": "string",
"description": "URI of the instance."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. It will contain HTTP status code in case of failures. |
| title | string | Error message of the response. It gives a short brief on the error. |
| type | string | Type of the error. It gives a brief on the type of error. |
| error | string | This describes Error/Status Code in case of errors. |
| details | string | Error message of the response. This describes the details of the error. |
| instance | string | URI of the instance. |
| timestamp | string | Timestamp of the response. |
copied!{
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| addressLine1 | string | Address Line 1. |
| addressLine2 | string | Address Line 2. |
| region | string | Region/County/State of the address. |
| city | string | City of the address. |
| country | string | Country of the address. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"type": "object",
"description": "Returns applicationId and candidateId for the submitted application in case of new candidate Or returns isAlreadyApplied as true"
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. |
| statusCode | string | Status code of the response. This is to uniquely identify the status. |
| statusMessage | string | Status message of the response. |
| data | object | Returns applicationId and candidateId for the submitted application in case of new candidate Or returns isAlreadyApplied as true |
copied!{
"type": "object",
"properties": {
"candidateData": {
"Candidate": {
"required": [
"firstName",
"lastName"
],
"type": "object",
"properties": {
"firstName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"maxLength": 20,
"minLength": 0,
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
}
}
}
},
"jobApplicationData": {
"Job": {
"required": [
"applicantSource",
"jobId"
],
"type": "object",
"properties": {
"jobId": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"resumeData": {
"Resume": {
"required": [
"fileContent",
"fileName"
],
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| candidateData | object | Candidate |
| jobApplicationData | object | Job |
| customFieldData | object | Custom Fields for the Application. Eg: {"field1":"value1","field2":"value2"}. |
| resumeData | object | Resume |
copied!{
"required": [
"firstName",
"lastName"
],
"type": "object",
"properties": {
"firstName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"maxLength": 20,
"minLength": 0,
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| firstName | string | First Name of the candidate. MaxLength is 20. |
| middleName | string | Middle Name of the candidate. MaxLength is 20. |
| lastName | string | Last Name/ Surname of the candidate. MaxLength is 20. |
| contactData | object | ContactData |
| addressData | object | AddressData |
| smsOptIn | boolean | Opt in for SMS Campaigns. |
| experienceData | array | ExperienceData |
| educationData | array | EducationData |
copied!{
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| countryPhoneCode | string | Country Phone Code. |
| phoneNumber | string | Phone Number. |
| deviceType | string | Device Type. Eg: Mobile, Landline, etc. |
| phoneExtension | string | Phone Extension. Eg: 1234, etc. |
| string | Email Address. MaxLength is 50. |
copied!{
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| schoolName | string | School/College/Institution Name. |
| degree | string | Degree you have majored in. |
| fieldOfStudy | string | Specialization/Field of Study. |
| gradeAverage | string | Grade Average/CGPA/Percentage. |
| fromTo | object | FromTo |
copied!{
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| companyName | string | Name of the Company. |
| title | string | Title of the experience. |
| location | string | Location of the experience. |
| description | string | Description of the experience. MaxLength is 2000. |
| fromTo | object | FromTo |
copied!{
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| format | string | The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]. |
| startDate | string | The start date of the experience. |
| endDate | string | The end date of the experience. If the experience is ongoing, this field should be empty. |
| currentlyWorkHere | string | The current status of the experience. |
copied!{
"required": [
"applicantSource",
"jobId"
],
"type": "object",
"properties": {
"jobId": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| jobId | string | Job Id of the job for which the applicant is applying. MaxLength is 50. |
| applicantSource | string | Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc. |
copied!{
"required": [
"fileContent",
"fileName"
],
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| fileContent | string | File Content in base64 format. |
| fileName | string | Name of the file. |
| contentTypeId | string | (Optional) Any id to identify the content type of the file. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"SubmitApplicationData": {
"type": "object",
"properties": {
"alreadyApplied": {
"type": "boolean",
"description": "It equals true if the application is already applied by the candidate."
},
"candidateId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
},
"applicationId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. |
| statusCode | string | Status code of the response. This is to uniquely identify the status. |
| statusMessage | string | Status message of the response. |
| data | object | SubmitApplicationData |
copied!{
"type": "object",
"properties": {
"alreadyApplied": {
"type": "boolean",
"description": "It equals true if the application is already applied by the candidate."
},
"candidateId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
},
"applicationId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| alreadyApplied | boolean | It equals true if the application is already applied by the candidate. |
| candidateId | string | It is a 24-digit hexadecimal value that represents Applicant Id. |
| applicationId | string | It is a 24-digit hexadecimal value that represents Application Id. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"description": "Id of an attachment."
},
"description": "Array of attachment objects."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. |
| statusCode | string | Status code of the response. This is to uniquely identify the status. |
| statusMessage | string | Status message of the response. |
| data | [object] | Array of attachment objects. |
copied!{
"type": "object",
"properties": {
"candidateData": {
"CandidateWithId": {
"required": [
"firstName",
"lastName"
],
"type": "object",
"properties": {
"firstName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"maxLength": 20,
"minLength": 0,
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
}
}
}
},
"jobApplicationData": {
"Job": {
"required": [
"applicantSource",
"jobId"
],
"type": "object",
"properties": {
"jobId": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| candidateData | object | CandidateWithId |
| jobApplicationData | object | Job |
| customFieldData | object | Custom Fields for the Application. Eg: {"field1":"value1","field2":"value2"}. |
| id | string | It is a 24-digit hexadecimal value that represents Application Id. |
copied!{
"required": [
"firstName",
"lastName"
],
"type": "object",
"properties": {
"firstName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"maxLength": 20,
"minLength": 0,
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| firstName | string | First Name of the candidate. MaxLength is 20. |
| middleName | string | Middle Name of the candidate. MaxLength is 20. |
| lastName | string | Last Name/ Surname of the candidate. MaxLength is 20. |
| contactData | object | ContactData |
| addressData | object | AddressData |
| smsOptIn | boolean | Opt in for SMS Campaigns. |
| experienceData | array | ExperienceData |
| educationData | array | EducationData |
| id | string | It is a 24-digit hexadecimal value that represents Applicant Id. |
copied!{
"type": "object",
"properties": {
"self": {
"type": "string",
"description": "The link to the current page."
},
"prev": {
"type": "string",
"description": "The link to the previous page."
},
"next": {
"type": "string",
"description": "The link to the next page."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| self | string | The link to the current page. |
| prev | string | The link to the previous page. |
| next | string | The link to the next page. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"type": "array",
"items": {
"ApplicationWithId": {
"type": "object",
"properties": {
"candidateData": {
"CandidateWithId": {
"required": [
"firstName",
"lastName"
],
"type": "object",
"properties": {
"firstName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"maxLength": 20,
"minLength": 0,
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
}
}
}
},
"jobApplicationData": {
"Job": {
"required": [
"applicantSource",
"jobId"
],
"type": "object",
"properties": {
"jobId": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}
}
},
"pagination": {
"Pagination": {
"type": "object",
"properties": {
"offset": {
"type": "integer",
"description": "The number of items to offset from the result set.",
"format": "int32"
},
"limit": {
"type": "integer",
"description": "The number of items to return.",
"format": "int32"
},
"total": {
"type": "integer",
"description": "The total number of items in the result set.",
"format": "int32"
}
}
}
},
"links": {
"Links": {
"type": "object",
"properties": {
"self": {
"type": "string",
"description": "The link to the current page."
},
"prev": {
"type": "string",
"description": "The link to the previous page."
},
"next": {
"type": "string",
"description": "The link to the next page."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. |
| statusCode | string | Status code of the response. This is to uniquely identify the status. |
| statusMessage | string | Status message of the response. |
| data | array | ApplicationWithId |
| pagination | object | Pagination |
| links | object | Links |
copied!{
"type": "object",
"properties": {
"offset": {
"type": "integer",
"description": "The number of items to offset from the result set.",
"format": "int32"
},
"limit": {
"type": "integer",
"description": "The number of items to return.",
"format": "int32"
},
"total": {
"type": "integer",
"description": "The total number of items in the result set.",
"format": "int32"
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| offset | integer | The number of items to offset from the result set. |
| limit | integer | The number of items to return. |
| total | integer | The total number of items in the result set. |
copied!{
"type": "object",
"properties": {
"candidateData": {
"CandidateWithId": {
"required": [
"firstName",
"lastName"
],
"type": "object",
"properties": {
"firstName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"maxLength": 20,
"minLength": 0,
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
}
}
}
},
"jobApplicationData": {
"Job": {
"required": [
"applicantSource",
"jobId"
],
"type": "object",
"properties": {
"jobId": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
},
"resumeData": {
"Resume": {
"required": [
"fileContent",
"fileName"
],
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| candidateData | object | CandidateWithId |
| jobApplicationData | object | Job |
| customFieldData | object | Custom Fields for the Application. Eg: {"field1":"value1","field2":"value2"}. |
| id | string | It is a 24-digit hexadecimal value that represents Application Id. |
| resumeData | object | Resume |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"ApplicationWithIdAndResume": {
"type": "object",
"properties": {
"candidateData": {
"CandidateWithId": {
"required": [
"firstName",
"lastName"
],
"type": "object",
"properties": {
"firstName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "First Name of the candidate. MaxLength is 20."
},
"middleName": {
"maxLength": 20,
"minLength": 0,
"type": "string",
"description": "Middle Name of the candidate. MaxLength is 20."
},
"lastName": {
"maxLength": 20,
"minLength": 1,
"type": "string",
"description": "Last Name/ Surname of the candidate. MaxLength is 20."
},
"contactData": {
"ContactData": {
"required": [
"email"
],
"type": "object",
"properties": {
"countryPhoneCode": {
"type": "string",
"description": "Country Phone Code."
},
"phoneNumber": {
"pattern": "^\\+?\\d{5,15}$",
"type": "string",
"description": "Phone Number."
},
"deviceType": {
"type": "string",
"description": "Device Type. Eg: Mobile, Landline, etc."
},
"phoneExtension": {
"type": "string",
"description": "Phone Extension. Eg: 1234, etc."
},
"email": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Email Address. MaxLength is 50."
}
}
}
},
"addressData": {
"AddressData": {
"required": [
"addressLine1"
],
"type": "object",
"properties": {
"addressLine1": {
"type": "string",
"description": "Address Line 1."
},
"addressLine2": {
"type": "string",
"description": "Address Line 2."
},
"region": {
"type": "string",
"description": "Region/County/State of the address."
},
"city": {
"type": "string",
"description": "City of the address."
},
"country": {
"type": "string",
"description": "Country of the address."
}
}
}
},
"smsOptIn": {
"type": "boolean",
"description": "Opt in for SMS Campaigns."
},
"experienceData": {
"type": "array",
"items": {
"ExperienceData": {
"required": [
"companyName",
"title"
],
"type": "object",
"properties": {
"companyName": {
"type": "string",
"description": "Name of the Company."
},
"title": {
"type": "string",
"description": "Title of the experience."
},
"location": {
"type": "string",
"description": "Location of the experience."
},
"description": {
"maxLength": 2000,
"minLength": 0,
"type": "string",
"description": "Description of the experience. MaxLength is 2000."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"educationData": {
"type": "array",
"items": {
"EducationData": {
"required": [
"degree",
"schoolName"
],
"type": "object",
"properties": {
"schoolName": {
"type": "string",
"description": "School/College/Institution Name."
},
"degree": {
"type": "string",
"description": "Degree you have majored in."
},
"fieldOfStudy": {
"type": "string",
"description": "Specialization/Field of Study."
},
"gradeAverage": {
"type": "string",
"description": "Grade Average/CGPA/Percentage."
},
"fromTo": {
"FromTo": {
"required": [
"format",
"startDate"
],
"type": "object",
"properties": {
"format": {
"pattern": "MM-yyyy|MM|yyyy",
"type": "string",
"description": "The date format for the date fields. It should follow the following formats: [MM-yyyy,MM,yyyy]."
},
"startDate": {
"type": "string",
"description": "The start date of the experience."
},
"endDate": {
"type": "string",
"description": "The end date of the experience. If the experience is ongoing, this field should be empty."
},
"currentlyWorkHere": {
"type": "string",
"description": "The current status of the experience."
}
}
}
}
}
}
}
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
}
}
}
},
"jobApplicationData": {
"Job": {
"required": [
"applicantSource",
"jobId"
],
"type": "object",
"properties": {
"jobId": {
"maxLength": 50,
"minLength": 0,
"type": "string",
"description": "Job Id of the job for which the applicant is applying. MaxLength is 50."
},
"applicantSource": {
"type": "string",
"description": "Source of the Application. Eg: LinkedIn, Indeed, Naukri, Resume Upload etc."
}
}
}
},
"customFieldData": {
"type": "object",
"description": "Custom Fields for the Application. Eg: {\"field1\":\"value1\",\"field2\":\"value2\"}."
},
"id": {
"pattern": "^[0-9a-fA-F]{24}$",
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
},
"resumeData": {
"Resume": {
"required": [
"fileContent",
"fileName"
],
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. |
| statusCode | string | Status code of the response. This is to uniquely identify the status. |
| statusMessage | string | Status message of the response. |
| data | object | ApplicationWithIdAndResume |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"type": "array",
"items": {
"Resume": {
"required": [
"fileContent",
"fileName"
],
"type": "object",
"properties": {
"fileContent": {
"type": "string",
"description": "File Content in base64 format."
},
"fileName": {
"type": "string",
"description": "Name of the file."
},
"contentTypeId": {
"type": "string",
"description": "(Optional) Any id to identify the content type of the file."
}
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. |
| statusCode | string | Status code of the response. This is to uniquely identify the status. |
| statusMessage | string | Status message of the response. |
| data | array | Resume |
copied!{
"type": "object",
"properties": {
"alreadyApplied": {
"type": "boolean",
"description": "It equals true if the application is already applied by the candidate."
},
"candidateId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
},
"applicationId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| alreadyApplied | boolean | It equals true if the application is already applied by the candidate. |
| candidateId | string | It is a 24-digit hexadecimal value that represents Applicant Id. |
| applicationId | string | It is a 24-digit hexadecimal value that represents Application Id. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"statusCode": {
"type": "string",
"description": "Status code of the response. This is to uniquely identify the status."
},
"statusMessage": {
"type": "string",
"description": "Status message of the response."
},
"data": {
"AlreadyAppliedData": {
"type": "object",
"properties": {
"alreadyApplied": {
"type": "boolean",
"description": "It equals true if the application is already applied by the candidate."
},
"candidateId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Applicant Id."
},
"applicationId": {
"type": "string",
"description": "It is a 24-digit hexadecimal value that represents Application Id."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the response. |
| statusCode | string | Status code of the response. This is to uniquely identify the status. |
| statusMessage | string | Status message of the response. |
| data | object | AlreadyAppliedData |
